Subject: Re: 23.1.91; Wrong type argument: keymapp, ("DEAD" . 35215396)

From: Sven Joachim <[email-masked]>
Date: Tue, 12 Jan 2010 20:39:10 +0100

On 2010-01-12 20:08 +0100, Chong Yidong wrote:

>> | % emacs -Q
>> | Wrong type argument: keymapp, ("DEAD" . 35215396)
>>
>> Unfortunately this is a Heisenbug, I'm not able to reproduce it under
>> gdb.  It even depends on the exact contents of argv[0], i.e. running
>> "/usr/bin/emacs -Q" or "emacs-snapshot -Q" does not show the error.
>>
>> A similar issue has been reported against Debian's emacs23 package, see
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550170.  The most
>> valuable message there is probably
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550170#26.
>
> Pretty bizaare.  I can't reproduce this on my machine, but according to
> the Debian bug report, it seems to be related to environment variables
> somehow.

Apparently, though I don't see the bug with Debian's emacs23 package in
the same environment.

>  Do you see the bug if you start Emacs with an empty
> environment like
>
>  env -i DISPLAY=":0.0" HOME=/home/cyd /home/cyd/emacs/src/emacs
>
> (replacing cyd with your username)?

In that case, Emacs starts normally.

Sven